Ignore failed steps of the deployment procedure instance

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/deploymentProcedureInstances/{deploymentProcedureInstanceId}/actions/ignore

Ignore failed steps of deployment procedure instance latest execution if execution Id is not specified and if execution id is specified, then particular execution id steps will be ignored.In emcli, it is equivalent to 'ignore_instance'

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
It includes state id and execution id.
Show Source
  • Represents executionId of a deployment procedure instance.
    Example: CC1871802C4343A3E053E00F4B640972
  • single or multiple values seperated by comma.
    Example: CC1871802C4343A3E053E00F4B640973,CC1871802C4343A3E053E00F4B640963
Back to Top

Response

Supported Media Types

202 Response

A request to ignore the failed steps was accepted.
Headers
  • URL to get the status of ignore failed step action.
Body ()
Root Schema : schema
Type: object
Show Source

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top